Font$ function causing internal error
03/02/2020 07:19 PM - David Baldwin

Status: Closed Start date: 03/02/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.8.1

Affected version: 0.9.6

Description

Font$ function is causing an internal error when accessing the second definition of the same font that was defined as font 0.
Example:-

Font Viewer crashes with internal error at line 143, column 5 when it reaches font 55, margarine, which was defined in manifest as
font 0.

Simple Visual demo crashes with "index.html:1 Uncaught (in promise) cannot_load_font" message in console when browsing fonts
when it gets to 'finger paint', also defined as font 0 in manifest.

This was working fine in 0.9.5.1

History

#1 - 04/16/2020 08:34 AM - Francois Lionet
- Status changed from New to Resolved

- Target version set to 0.9.8.1

Fixed, but not the way you wanted! ;)
The compiler now sends an error (refuses to compile) if a font is duplicated in the manifest or in the tags of the application.

#2 - 04/17/2020 12:15 PM - David Baldwin

- Status changed from Resolved to Closed
